%global npm_name traverse
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.6.6
Release: %mkrel 3
Summary: traverse and transform objects by visiting every node on a recursive walk
License: MIT
Group: Development/Other
URL: https://github.com/substack/js-traverse
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr examples %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr testling %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc readme.markdown



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.6-3.mga8
+ Revision: 1503266
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.6-2.mga7
+ Revision: 1281094
- Mageia 7 Mass Rebuild

* Sat May 05 2018 kekepower <kekepower> 0.6.6-1.mga7
+ Revision: 1226293
- Update to version 0.6.6
- Update spec file

* Wed Aug 03 2016 daviddavid <daviddavid> 0.6.5-2.mga6
+ Revision: 1044333
- sync with fedora24 to fix tests failure
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- reenable tests

* Tue Oct 28 2014 tv <tv> 0.6.5-1.mga5
+ Revision: 794273
- disable tests for bootstrap
- imported package nodejs-traverse


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 0.6.5-1.mga5
- import from FC

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.5-1
- update to upstream release 0.6.5
- enable tests

* Sun Aug 18 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.3-5
- rebuild to restrict to compatible arches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-3
- add macro to enable dependency generation on EPEL6

* Tue Jan 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-2
- fix permissions on examples

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-1
- initial package generated by npm2rpm
